//Menu object creation
MyMenu=new makeCM("MyMenu") //Making the menu object. Argument: menuname

MyMenu.frames = 0

//Menu properties   
MyMenu.pxBetween=5 //10
MyMenu.fromLeft=0 
MyMenu.fromTop=0   
MyMenu.rows=1 
MyMenu.menuPlacement="center"
                                                             
MyMenu.offlineRoot="" 
MyMenu.onlineRoot="" 
MyMenu.resizeCheck=1 
MyMenu.wait=100 
MyMenu.fillImg="cm_fill.gif"
MyMenu.zIndex=1

//Background bar properties
MyMenu.useBar=1
MyMenu.barWidth="110%"
MyMenu.barHeight="menu" 
MyMenu.barClass="clBar"
MyMenu.barX=0 //10 
MyMenu.barY=0
MyMenu.barBorderX=0
MyMenu.barBorderY=0
MyMenu.barBorderClass=""

MyMenu.onresize="makeCM('MyMenu'); MyMenu.construct(1);"

//Level properties - ALL properties have to be spesified in level 0
MyMenu.level[0]=new cm_makeLevel() //Add this for each new level
MyMenu.level[0].width=79 //130
MyMenu.level[0].height=25 
MyMenu.level[0].regClass="clLevel0"
MyMenu.level[0].overClass="clLevel0over"
MyMenu.level[0].borderX=0
MyMenu.level[0].borderY=1
MyMenu.level[0].borderClass="clLevel0border"
MyMenu.level[0].offsetX=0
MyMenu.level[0].offsetY=0
MyMenu.level[0].rows=0
MyMenu.level[0].arrow=0
MyMenu.level[0].arrowWidth=0
MyMenu.level[0].arrowHeight=0
MyMenu.level[0].align="bottom"

//EXAMPLE SUB LEVEL[1] PROPERTIES - You have to specify the properties you want different from LEVEL[0] - If you want all items to look the same just remove this
MyMenu.level[1]=new cm_makeLevel() //Add this for each new level (adding one to the number)
MyMenu.level[1].width=180 //200
MyMenu.level[1].height=22
MyMenu.level[1].regClass="clLevel1"
MyMenu.level[1].overClass="clLevel1over"
MyMenu.level[1].borderX=1
MyMenu.level[1].borderY=1
MyMenu.level[1].align="right" 
MyMenu.level[1].offsetX=0//-(MyMenu.level[0].width-2)/2+20
MyMenu.level[1].offsetY=0
MyMenu.level[1].borderClass="clLevel1border"


//EXAMPLE SUB LEVEL[2] PROPERTIES - You have to spesify the properties you want different from LEVEL[1] OR LEVEL[0] - If you want all items to look the same just remove this
MyMenu.level[2]=new cm_makeLevel() //Add this for each new level (adding one to the number)
MyMenu.level[2].width=180 //200
MyMenu.level[2].height=20
MyMenu.level[2].offsetX=0
MyMenu.level[2].offsetY=0
MyMenu.level[2].regClass="clLevel2"
MyMenu.level[2].overClass="clLevel2over"
MyMenu.level[2].borderClass="clLevel2border"


/******************************************
Menu item creation:

*************************************/
MyMenu.makeMenu('4002000252','','Organisation Setup')
MyMenu.makeMenu('4002000584','4002000252','Holiday Type Master',               'HrmOrgHolTypeMst.jsp')
MyMenu.makeMenu('4002000582','4002000252','Calendar Master',                   'HrmOrgCalMst.jsp')
MyMenu.makeMenu('4002000593','4002000252','Holiday Calendar',                   'HrmOrgHolCal.jsp')
MyMenu.makeMenu('4002000592','4002000252','Qualification Master',              'HrmOrgQualMst.jsp')
MyMenu.makeMenu('4002000591','4002000252',' Rating Master',                     'HrmOrgRatingMst.jsp')
MyMenu.makeMenu('4002000590','4002000252',' Skill Master',                      'HrmOrgSkillMst.jsp') 
MyMenu.makeMenu('4002000589','4002000252',' Religion Master',                  'HrmOrgReligionMst.jsp')
MyMenu.makeMenu('4002000588','4002000252',' Classification Detail',              'HrmOrgClassDtl.jsp')
MyMenu.makeMenu('4002000585','4002000252',' Country Master',                    'HrmOrgCntryMst.jsp')
MyMenu.makeMenu('4002000576','4002000252',' Work Group Master',                 'HrmOrgWorkGroupMst.jsp') 
MyMenu.makeMenu('4002000577','4002000252',' Scale Master',                 'HrmOrgScaleMst.jsp') 
MyMenu.makeMenu('4002000580','4002000252',' Relation Master',                   'HrmOrgRelationMst.jsp')
MyMenu.makeMenu('4002000578','4002000252',' Language Master',                   'HrmOrgLangMst.jsp')
MyMenu.makeMenu('4002000581','4002000252',' Eligibility Rule',                  'HrmGenEligRule.jsp')
MyMenu.makeMenu('4002000501','4002000252',' Eligibility Rule Query',                  'HrmGenEligRuleQuery.jsp')

//Leave this line - it constructs the menu
MyMenu.construct()		

//MyMenu.showsub("top3")
MyMenu.hidesub()
